Friday, December 20, 2024

Hacking the Inventor startup screen

 Autodesk has been wiping out old forum posts ( thousands of them 😠 ) so when I ran across this today, I thought I'd back it up here, so that we won't loose it in the next couple of years.


Credit to Pball for the instructions below. 

This was originally written for Inventor 2017, I'm assuming it still works for current versions.

Use at your own risk, and all that jazz.

Original link:

https://forums.autodesk.com/t5/inventor-forum/silly-splash-screens/m-p/6774798#M625213


Here are some instructions for changing the splash screen.

 

I personally use Resource Hacker to modify icons and other resources in executables and dlls. http://www.angusj.com/resourcehacker/#download

 

Fire up resource hacker and open C:\Program Files\Autodesk\Inventor 20xx\bin\BrandRes.dll, changing 20xx for whichever version you might use

 

Navigate to the bitmap folder in the treeview and select the 108 entry which is the splash screen image


reshack1.png

 

Then click Action and choose Save *.bmp resource and save the bitmap image somewhere

 

Either edit the saved image or create a new bmp with the same size and properties as the original

 

The click Action and choose Replace Bitmap, make sure the 108 splash screen entry is selected on the right side of the dialog and use the open file with new bitmap to select the replacement image and hit the Replace button

 

Hit save to save the edited dll file. (If you get an error either the file is being accessed and you need close inventor or you might need admin permissions to edit that file, save a copy of the file somewhere else and try to manually rename BrandRes.dll and copy the edited one over)

 

Resource Hacker will create a back up of the original file if you don't run into permission issues

 

Now you have a custom splash screen

Wednesday, May 8, 2024

Open Drawing From Balloon





Issue:

You'd like to be able to open a component drawing by selecting a balloon from an assembly drawing.

Solution:

Here is an iLogic rule that uses a bit of API code to do this.


Dim oDoc As DrawingDocument = ThisApplication.ActiveDocument

While True

	'select Balloon
	Dim oBalloon As Balloon = Nothing
	oBalloon = ThisApplication.CommandManager.Pick _
	(SelectionFilterEnum.kDrawingBalloonFilter, _
	"Select a balloon to open it's drawing. " & " (press ESC To Exit selection)")

	If IsNothing(oBalloon) Then Exit While

	Dim oLeader As Leader
	If oBalloon IsNot Nothing Then oLeader = oBalloon.Leader
	Dim oLeaderNode As LeaderNode = oLeader.AllNodes(oLeader.AllNodes.Count)
	Dim oIntent As GeometryIntent = oLeaderNode.AttachedEntity
	Dim oCurve As DrawingCurve = oIntent.Geometry
	Dim oOcc As ComponentOccurrence = oCurve.ModelGeometry.ContainingOccurrence
	Dim oRefDoc As Document = oOcc.Definition.Document
	Dim oFilePath As String = oRefDoc.FullFileName()
	Dim oDrawingFilePath As String = Left(oFilePath, Len(oFilePath) -3) & "idw"

	Try
		oDrawDoc = ThisApplication.Documents.Open(oDrawingFilePath, True)
		Exit While
	Catch
		MsgBox("Could not open " & oDrawingFilePath, , "iLogic")
	End Try

End While